SET( SOURCES
  main
  program_options
  solve
  AdjacencyList
  AdjacencyMatrix
  BoostRandom
  Communication
  DefaultParameters
  GlobalStatistics
  Logger
  Parameters
  ProblemDomain
  Population
  Random
  SgEngine
  Statistics
  StdRandom
  StoppingConditions
  VertexCoverProblem
)

ADD_EXECUTABLE( ${PROJECT_NAME} ${SOURCES} )
TARGET_LINK_LIBRARIES(${PROJECT_NAME} boost_program_options)
TARGET_LINK_LIBRARIES(${PROJECT_NAME} m)
